[arch-commits] Commit in ilmbase/repos (6 files)

Tobias Powalowski tpowa at nymeria.archlinux.org
Tue Apr 16 07:43:58 UTC 2013


    Date: Tuesday, April 16, 2013 @ 09:43:58
  Author: tpowa
Revision: 182927

archrelease: copy trunk to testing-i686, testing-x86_64

Added:
  ilmbase/repos/testing-i686/
  ilmbase/repos/testing-i686/PKGBUILD
    (from rev 182926, ilmbase/trunk/PKGBUILD)
  ilmbase/repos/testing-i686/ilmbase-IexMath.patch
    (from rev 182926, ilmbase/trunk/ilmbase-IexMath.patch)
  ilmbase/repos/testing-x86_64/
  ilmbase/repos/testing-x86_64/PKGBUILD
    (from rev 182926, ilmbase/trunk/PKGBUILD)
  ilmbase/repos/testing-x86_64/ilmbase-IexMath.patch
    (from rev 182926, ilmbase/trunk/ilmbase-IexMath.patch)

--------------------------------------+
 testing-i686/PKGBUILD                |   32 ++++++++++++++++++++++++++++++++
 testing-i686/ilmbase-IexMath.patch   |   12 ++++++++++++
 testing-x86_64/PKGBUILD              |   32 ++++++++++++++++++++++++++++++++
 testing-x86_64/ilmbase-IexMath.patch |   12 ++++++++++++
 4 files changed, 88 insertions(+)

Copied: ilmbase/repos/testing-i686/PKGBUILD (from rev 182926, ilmbase/trunk/PKGBUILD)
===================================================================
--- testing-i686/PKGBUILD	                        (rev 0)
+++ testing-i686/PKGBUILD	2013-04-16 07:43:58 UTC (rev 182927)
@@ -0,0 +1,32 @@
+# $Id: PKGBUILD 356 2008-04-18 22:56:27Z aaron $
+# Maintainer: Tobias Powalowski <tpowa at archlinux.org>
+
+pkgname=ilmbase
+pkgver=2.0.0
+pkgrel=1
+depends=('gcc-libs')
+pkgdesc="Base libraries from ILM for OpenEXR"
+arch=(i686 x86_64)
+url="http://www.openexr.com"
+license=('custom')
+options=('!libtool')
+source=(http://download.savannah.nongnu.org/releases/openexr/$pkgname-$pkgver.tar.gz) 
+
+build() {
+  cd "${srcdir}/$pkgname-$pkgver"
+  ./configure --prefix=/usr
+  make
+}
+
+check() {
+  cd "${srcdir}/$pkgname-$pkgver"
+  # one of the tests fails randomly for an unknown reason
+  make check || true
+}
+
+package() {
+  cd "${srcdir}/$pkgname-$pkgver"
+  make DESTDIR="${pkgdir}" install
+  install -D -m644 COPYING "$pkgdir/usr/share/licenses/$pkgname/COPYING"
+}
+md5sums=('70f1413840c2a228783d1332b8b168e6')

Copied: ilmbase/repos/testing-i686/ilmbase-IexMath.patch (from rev 182926, ilmbase/trunk/ilmbase-IexMath.patch)
===================================================================
--- testing-i686/ilmbase-IexMath.patch	                        (rev 0)
+++ testing-i686/ilmbase-IexMath.patch	2013-04-16 07:43:58 UTC (rev 182927)
@@ -0,0 +1,12 @@
+--- IexMath/IexMathFpu.cpp.orig	2012-07-26 20:51:55.000000000 +0200
++++ IexMath/IexMathFpu.cpp	2012-10-04 15:30:47.000000000 +0200
+@@ -27,8 +27,7 @@
+ #endif
+ 
+ 
+-#ifdef HAVE_UCONTEXT_H
+-
++#if defined(HAVE_UCONTEXT_H) && (defined(x86_64) || defined(i386_))
+ 
+ #include <ucontext.h>
+ #include <signal.h>

Copied: ilmbase/repos/testing-x86_64/PKGBUILD (from rev 182926, ilmbase/trunk/PKGBUILD)
===================================================================
--- testing-x86_64/PKGBUILD	                        (rev 0)
+++ testing-x86_64/PKGBUILD	2013-04-16 07:43:58 UTC (rev 182927)
@@ -0,0 +1,32 @@
+# $Id: PKGBUILD 356 2008-04-18 22:56:27Z aaron $
+# Maintainer: Tobias Powalowski <tpowa at archlinux.org>
+
+pkgname=ilmbase
+pkgver=2.0.0
+pkgrel=1
+depends=('gcc-libs')
+pkgdesc="Base libraries from ILM for OpenEXR"
+arch=(i686 x86_64)
+url="http://www.openexr.com"
+license=('custom')
+options=('!libtool')
+source=(http://download.savannah.nongnu.org/releases/openexr/$pkgname-$pkgver.tar.gz) 
+
+build() {
+  cd "${srcdir}/$pkgname-$pkgver"
+  ./configure --prefix=/usr
+  make
+}
+
+check() {
+  cd "${srcdir}/$pkgname-$pkgver"
+  # one of the tests fails randomly for an unknown reason
+  make check || true
+}
+
+package() {
+  cd "${srcdir}/$pkgname-$pkgver"
+  make DESTDIR="${pkgdir}" install
+  install -D -m644 COPYING "$pkgdir/usr/share/licenses/$pkgname/COPYING"
+}
+md5sums=('70f1413840c2a228783d1332b8b168e6')

Copied: ilmbase/repos/testing-x86_64/ilmbase-IexMath.patch (from rev 182926, ilmbase/trunk/ilmbase-IexMath.patch)
===================================================================
--- testing-x86_64/ilmbase-IexMath.patch	                        (rev 0)
+++ testing-x86_64/ilmbase-IexMath.patch	2013-04-16 07:43:58 UTC (rev 182927)
@@ -0,0 +1,12 @@
+--- IexMath/IexMathFpu.cpp.orig	2012-07-26 20:51:55.000000000 +0200
++++ IexMath/IexMathFpu.cpp	2012-10-04 15:30:47.000000000 +0200
+@@ -27,8 +27,7 @@
+ #endif
+ 
+ 
+-#ifdef HAVE_UCONTEXT_H
+-
++#if defined(HAVE_UCONTEXT_H) && (defined(x86_64) || defined(i386_))
+ 
+ #include <ucontext.h>
+ #include <signal.h>




More information about the arch-commits mailing list